public class Gravador implements Colaborador {
	String codigo;
	public Gravador(String codigo) {
		Mediator.getInstance().addColaborador(codigo, this);
		this.codigo = codigo;
	}
	
	public void executar(String dados) {
		System.out.println("Dados a serem gravados: " + dados);
		Mediator.getInstance().operacao("leitor_1", dados);
		Mediator.getInstance().operacao("leitor_3", dados);
	}

}
